//+------------------------------------------------------------------+
//|                                                  MarketZones.mq4 |
//|                                         Copyright  2011, Geafer |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Geafer"
#property link      ""

#property indicator_chart_window

//---- vstupn parametry
extern bool      London_Show = true;
extern color     London_Color = Blue;
extern string    London_Text = "London";

//---- zkladn nzvy objekt
string London_BaseName = "MZLondon";

// inicializace
int init()
{
   return(0);
}

// deinicializace
int deinit()
{
   return(0);
}

// bh indiktoru
int start()
{
   return(0);
}

// vytvo vertikln linii
// name = nzev linie
// c = barva linie
void createVLine(string name, color c)
{
   // kontrola, zda objekt neexistuje
   if(ObjectFind(name) < 0)
   {
      // pokud se podailo objekt vytvoit, meme nastavit vlastnosti
      if(ObjectCreate(name, OBJ_VLINE, 0, 0, 0))
      {
         ObjectSet(name, OBJPROP_COLOR, c);
         ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
         ObjectSet(name, OBJPROP_BACK, true);
         ObjectSet(name, OBJPROP_TIMEFRAMES, OBJ_PERIOD_M1|OBJ_PERIOD_M5|OBJ_PERIOD_M15|OBJ_PERIOD_M30|OBJ_PERIOD_H1);
      }
   }
}

// vytvo textov objekt
// name = nzev textovho objektu
// text = zobrazovan text
// c = barva textu
void createText(string name, string text, color c)
{
   // kontrola, zda objekt neexistuje
   if(ObjectFind(name) < 0)
   {
      // pokud se podailo objekt vytvoit, meme nastavit vlastnosti
      if(ObjectCreate(name, OBJ_TEXT, 0, 0, 0))
      {
         ObjectSetText(name, text, 8, "Arial", c);
         ObjectSet(name, OBJPROP_ANGLE, 90);
         ObjectSet(name, OBJPROP_TIMEFRAMES, OBJ_PERIOD_M1|OBJ_PERIOD_M5|OBJ_PERIOD_M15|OBJ_PERIOD_M30|OBJ_PERIOD_H1);
      }
   }
}